#!/bin/sh
allowable_files=/usr/conf/files-crc
list_files=/tmp/list
FIND=/sbin/find
CUT=/sbin/cut

# create list of existing files
cd "/"
$FIND bin etc lib sbin usr -type f > $list_files | $FIND bin etc lib sbin usr -type l >> $list_files

# check and rm extra files
for filename in `cat $list_files`
do
    count=0
    for allowable_filename in `$CUT -d ' ' -f3 $allowable_files`
    do
        if [ $filename == $allowable_filename ]; then count=1; fi
    done 
    if [ $count -eq 0 ] && ( [ $filename != "etc/shadow" ] &&
                            [ $filename != "etc/TZ" ] &&
                            [ $filename != "usr/conf/files-crc" ] &&
                            [ $filename != "etc/config/muxd.conf" ] &&
                            [ $filename != "etc/config/netconfig.sh" ] &&
                            [ $filename != "etc/config/syslog.conf" ] )
    then echo Removing obsolete $filename; rm $filename; fi
done
rm -f $list_files
